using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.StoragesContracts
{
    public interface IPaymentStorage
    {
        List<PaymentViewModel> GetFullList();
        List<PaymentViewModel> GetFilteredList(PaymentSearchModel model);
        PaymentViewModel? GetElement(PaymentSearchModel model);
        PaymentViewModel? Insert(PaymentBindingModel model);
    }
}